package com.sa.ibiz.demo.mob.controller;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;



import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.JsonNode;
import com.sa.ibiz.demo.ibizutil.domain.ActionResult;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.validation.annotation.Validated;
import org.springframework.http.ResponseEntity;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

@RestController
@RequestMapping("/mob/ctrl/tcmenuappmenu")
public   class TCMenuAppMenuController{

	@GetMapping(value="get")
	public ResponseEntity<JsonNode> get(){
		JsonNode jsonNode;
		try{
			InputStream in = this.getClass().getResourceAsStream("/appmenu/mob_tcmenu.json");
        	jsonNode = new ObjectMapper().readTree(in);
		}
		catch(Exception ex){
			 throw new BadRequestAlertException("操作发生错误","","");
		}
		return ResponseEntity.ok().body(jsonNode);
	}
   
}